//
// https://www.ramecera.it/myscrewdriver.html
// e-mail: screwdriver@ramecera.it
//
/* This program and the accompanying materials are made available under
 * the terms of the Eclipse Public License v1.0 which accompanies this
 * distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html */
package it.ramecera.salad.everyday;

/**
 * <p>
 * Bean container for a 2-dimensional point.
 * </p>
 * <p>
 * Company: Ramecera™<br>
 * Creation date: 2020-06-13<br>
 * Last updated: 2020-06-13
 * </p>
 * <p>
 * Changes:<br>
 * </p>
 * 
 * @author M. Maglioni
 * @since 1.2.3 */
public class Point2D {

	/** y coordinate */
	public int row;
	/** x coordinate */
	public int column;

	/** default constructor */
	public Point2D() {
	}

	/**
	 * <p>
	 * Useful constructor
	 * </p>
	 * <p>
	 * Creation date: 2020-04-09<br>
	 * Last updated: 2020-04-09
	 * </p>
	 * <p>
	 * Modifications:<br>
	 * </p>
	 * 
	 * @param y the row
	 * @param x the column */
	public Point2D(int y, int x) {
		row = y;
		column = x;
	}
}
